hslua-packaging-2.1.0: Utilities to build Lua modules.

Copyright | © 2021-2022 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+hslua@zeitkraut.de>
Safe Haskell | None
Language | Haskell2010

HsLua.Packaging.Convenience

Contents

- Parameters
- Results

Description

Convenience functions for common parameter and result types.

Synopsis

- boolParam :: Text -> Text -> Parameter e Bool
- integralParam :: (Read a, Integral a) => Text -> Text -> Parameter e a
- stringParam :: Text -> Text -> Parameter e String
- textParam :: Text -> Text -> Parameter e Text
- boolResult :: Text -> FunctionResults e Bool
- integralResult :: (Integral a, Show a) => Text -> FunctionResults e a
- stringResult :: Text -> FunctionResults e String
- textResult :: Text -> FunctionResults e Text

# Parameters

boolParam #

Arguments

:: Text | parameter name
-> Text | parameter description
-> Parameter e Bool |

Defines a function parameter of type `Bool`.

integralParam #

Arguments

:: (Read a, Integral a) |
=> Text | parameter name
-> Text | parameter description
-> Parameter e a |

Defines a function parameter for an integral type.

stringParam #

Arguments

:: Text | parameter name
-> Text | parameter description
-> Parameter e String |

Defines a function parameter of type `String`.

textParam #

Arguments

:: Text | parameter name
-> Text | parameter description
-> Parameter e Text |

Defines a function parameter of type `Text`.

# Results

boolResult #

Arguments

:: Text | result description
-> FunctionResults e Bool |

Defines a function result of type `Bool`.

integralResult #

Arguments

:: (Integral a, Show a) |
=> Text | result description
-> FunctionResults e a |

Defines a function result for an integral type.

stringResult #

Arguments

:: Text | result description
-> FunctionResults e String |

Defines a function result of type `Text`.

textResult #

Arguments

:: Text | result description
-> FunctionResults e Text |

Defines a function result of type `Text`.